﻿using System.Net.Sockets;
using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;

namespace TestEffectPack
{
    [MLCC_TimedEffectData(
        ID = 2,
        Name = "Test Effect B",
        Description = "Runs Test Effect B",
        Duration = 25
    )]
    public class TestEffectB : MLCC_TimedEffect
    {
        public override void OnLoad()
        {
            Logger.Msg("OnLoad");
        }

        public override void OnUpdate()
        {
            //Logger.Msg("OnUpdate");
        }

        public override EffectResult OnStart(CCEffectInstance effectInstance)
        {
            Logger.Msg("OnStart");
            return EffectResult.Success;
        }

        public override bool ShouldRun()
        {
            //Logger.Msg("ShouldRun");
            return !IsPaused();
        }

        public override bool OnStop(CCEffectInstance effectInstance, bool force)
        {
            Logger.Msg("OnStop");
            return true;
        }

        public override void OnPause()
        {
            Logger.Msg("OnPause");
        }

        public override void OnReset()
        {
            Logger.Msg("OnReset");
        }

        public override void OnResume()
        {
            Logger.Msg("OnResume");
        }

        public override void OnConnecting()
        {
            Logger.Msg("OnConnecting");
        }

        public override void OnConnectionError(SocketError socketError)
        {
            Logger.Msg("OnConnectionError");
        }

        public override void OnConnected()
        {
            Logger.Msg("OnConnected");
        }

        public override void OnAuthenticated()
        {
            Logger.Msg("OnAuthenticated");
            CrowdControl.instance.TestEffect(Wrapper);
        }

        public override void OnAuthenticationFailed()
        {
            Logger.Msg("OnAuthenticationFailed");
        }

        public override void OnDisconnected()
        {
            Logger.Msg("OnDisconnected");
        }

        public override void OnMessage(string msg)
        {
            Logger.Msg($"OnMessage: {msg}");
        }
    }
}
