﻿using System.Net.Sockets;
using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;

namespace TestEffectPack
{
    [MLCC_BidWarEffectData(
        ID = 3,
        Name = "Test Effect C",
        Description = "Runs Test Effect C",
        BidEntries = "Red,Green,Blue"
    )]
    public class TestEffectC : MLCC_BidWarEffect
    {
        public override void OnLoad()
        {
            Logger.Msg("OnLoad");
        }

        public override void OnUpdate()
        {
            //Logger.Msg("OnUpdate");
        }

        public override EffectResult OnTriggerEffect(CCEffectInstance effectInstance)
        {
            Logger.Msg("OnTrigger");
            return EffectResult.Success;
        }

        public override void OnConnecting()
        {
            Logger.Msg("OnConnecting");
        }

        public override void OnConnectionError(SocketError socketError)
        {
            Logger.Msg("OnConnectionError");
        }

        public override void OnConnected()
        {
            Logger.Msg("OnConnected");
        }

        public override void OnAuthenticated()
        {
            Logger.Msg("OnAuthenticated");
            CrowdControl.instance.TestEffect(Wrapper);
        }

        public override void OnAuthenticationFailed()
        {
            Logger.Msg("OnAuthenticationFailed");
        }

        public override void OnDisconnected()
        {
            Logger.Msg("OnDisconnected");
        }

        public override void OnMessage(string msg)
        {
            Logger.Msg($"OnMessage: {msg}");
        }
    }
}
