﻿using System.Net.Sockets;
using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 4,
        Name = "Test Effect D",
        Description = "Runs Test Effect D"
    )]
    public class TestEffectD : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            Logger.Msg("OnLoad");
            AddParameter("Options", "Option A", "Option B", "Option C");
            AddParameter("Quantity", 1, 99);
        }

        public override void OnUpdate()
        {
            //Logger.Msg("OnUpdate");
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            Logger.Msg("OnTrigger");
            return EffectResult.Success;
        }

        public override void OnAssignParameters(string[] prms)
        {
            Logger.Msg($"OnAssignParameters {prms}");
        }

        public override void OnConnecting()
        {
            Logger.Msg("OnConnecting");
        }

        public override void OnConnectionError(SocketError socketError)
        {
            Logger.Msg("OnConnectionError");
        }

        public override void OnConnected()
        {
            Logger.Msg("OnConnected");
        }

        public override void OnAuthenticated()
        {
            Logger.Msg("OnAuthenticated");
            CrowdControl.instance.TestEffect(Wrapper);
        }

        public override void OnAuthenticationFailed()
        {
            Logger.Msg("OnAuthenticationFailed");
        }

        public override void OnMessage(string msg)
        {
            Logger.Msg($"OnMessage: {msg}");
        }
    }
}
