﻿using ML_CrowdControl.Effects;

namespace TestEffectPack
{
    public class CardHelper
    {
        public static void AddCardParameters(MLCC_ParamEffect effect, string prefix = "")
        {
            if (!string.IsNullOrEmpty(prefix))
            {
                prefix += " ";
            }

            effect.AddParameter(prefix + "Color", "Red", "Blue", "Green", "Yellow");
            effect.AddParameter(prefix + "Value", "Zero", "One", "Two", "Three", "Four", "Five", "Six", "Seven", "Eight", "Nine", "Skip", "Reverse", "DrawTwo", "Wild", "Joker");
        }

        public static void AddQuantityParameter(MLCC_ParamEffect effect)
        {
            effect.AddParameter("Amount", 1, 20);
        }

        public static void AddIndexParameter(MLCC_ParamEffect effect)
        {
            effect.AddParameter("Position", 1, 30);
        }

        public static void AddHandParameter(MLCC_ParamEffect effect, string name = "Targeted Player")
        {
            effect.AddParameter(name, "Bottom", "Right", "Top", "Left");
        }
    }
}
