﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;
using System;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 1, 
        Name = "Draw Cards",
        Price = 20
    )]
    public class DrawCards : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            CardHelper.AddHandParameter(this);
            CardHelper.AddCardParameters(this);
            CardHelper.AddQuantityParameter(this);
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance) {
            Card card = new Card(effectInstance.GetParameter(1), effectInstance.GetParameter(2));

            bool success = Game.DrawCardFromDeck(effectInstance.GetParameter(0), card, Convert.ToInt32(effectInstance.GetParameter(3)));
            return EffectResult.Success;
        }
    }
}
