﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;
using System;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 4,
        Name = "Remove Cards of Type",
        Price = 20
    )]
    public class RemoveCardType : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            CardHelper.AddHandParameter(this);
            CardHelper.AddCardParameters(this);
            CardHelper.AddQuantityParameter(this);
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            Card card = new Card(effectInstance.GetParameter(1), effectInstance.GetParameter(2));
            bool success = Game.RemoveCardsOfType(effectInstance.GetParameter(0), card, Convert.ToInt32(effectInstance.GetParameter(3)));
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
