﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;
using System;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 5,
        Name = "Remove Random Cards",
        Price = 20
    )]
    public class RemoveRandomCards : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            CardHelper.AddQuantityParameter(this);
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            bool success = Game.RemoveRandomCards(Game.Player(PlayerTarget.South), Convert.ToInt32(effectInstance.GetParameter(0)));
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
