﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;
using System;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 8,
        Name = "Replace Cards of Type",
        Price = 20
    )]
    public class ReplaceCardType : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            CardHelper.AddHandParameter(this);
            CardHelper.AddCardParameters(this, "Old");
            CardHelper.AddCardParameters(this, "New");
            CardHelper.AddQuantityParameter(this);
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            if (string.Equals(effectInstance.Parameters[1], effectInstance.Parameters[2]) &&
                string.Equals(effectInstance.Parameters[3], effectInstance.Parameters[4])) {
                return EffectResult.Failure;
            }

            Card oldCard = new Card(effectInstance.Parameters[1], effectInstance.Parameters[2]);
            Card newCard = new Card(effectInstance.Parameters[3], effectInstance.Parameters[4]);

            bool success = Game.ReplaceCardsOfType(effectInstance.Parameters[0], oldCard, newCard, Convert.ToInt32(effectInstance.Parameters[5]));
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
