﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;
using System;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 9,
        Name = "Replace Random Cards",
        Price = 20
    )]
    public class ReplaceeRandomCards : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            CardHelper.AddQuantityParameter(this);
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            Card card = new Card(effectInstance.Parameters[0], effectInstance.Parameters[1]);
            bool success = Game.ReplaceRandomCards(Game.Player(PlayerTarget.South), card, Convert.ToInt32(effectInstance.Parameters[2]));
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
