﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 12,
        Name = "Swap Hands",
        Price = 20
    )]
    public class SwapHand : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            CardHelper.AddHandParameter(this, "First Player");
            CardHelper.AddHandParameter(this, "Second Player");
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            bool success = Game.SwapHand(effectInstance.GetParameter(0), effectInstance.GetParameter(1));
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
